### Hierarchy

- VerifyRepository

### Implemented by

- VerifyRepositoryImpl

## Index

### Methods

- getAccountsByPublicKeys
- getAllAccounts
- getOfferSearchesByIds

## Methods

### getAccountsByPublicKeys

- getAccountsByPublicKeys(publicKeys: Array<string>): Promise<Array<Account>>

- - Defined in repository/verify/VerifyRepository.ts:7

  #### Parameters

  - ##### publicKeys: Array<string>

  #### Returns Promise<Array<Account>>

### getAllAccounts

- getAllAccounts(fromDate: Date): Promise<Array<Account>>

- - Defined in repository/verify/VerifyRepository.ts:9

  #### Parameters

  - ##### fromDate: Date

  #### Returns Promise<Array<Account>>

### getOfferSearchesByIds

- getOfferSearchesByIds(ids: Array<number>): Promise<Array<OfferSearch>>

- - Defined in repository/verify/VerifyRepository.ts:5

  #### Parameters

  - ##### ids: Array<number>

  #### Returns Promise<Array<OfferSearch>>

Generated using TypeDoc